package com.junmp.jyzb.service;

import com.junmp.jyzb.api.bean.query.ApplicationReq;
import com.junmp.jyzb.entity.Application;
import com.baomidou.mybatisplus.extension.service.IService;
import com.junmp.v2.db.api.page.PageResult;

import java.util.List;

/**
* @author lxh专属坐骑
* @description 针对表【sys_application】的数据库操作Service
* @createDate 2023-09-11 14:59:13
*/
public interface ApplicationService extends IService<Application> {

    //获取分页应用信息
    PageResult<Application> GetAllUpdateCfg(ApplicationReq req);
    //获取应用信息的列表
    List<Application> GetAllUpdateCfgList(ApplicationReq req);

    //获取应用信息一个
    Application GetOne(ApplicationReq req);

    ////新增或者修改应用信息
    String AddOrUpdateCfg(ApplicationReq req);

    //删除一个或者多个应用信息
    Boolean delConfig(ApplicationReq req);
}
